Gnome User Interface Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GtkTed

## Name

GtkTed -- Deprecated.

## Synopsis

    #include <gnome.h>

    struct      GtkTed;
    void        gtk_ted_set_app_name            (char *str);
    void        gtk_ted_prepare                 (GtkTed *ted);
    GtkWidget*  gtk_ted_new                     (char *dialog_name);
    GtkWidget*  gtk_ted_new_layout              (char *dialog_name,
                                                 char *layout);
    void        gtk_ted_add                     (GtkTed *ted,
                                                 GtkWidget *widget,
                                                 char *name);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkTable
                         +----GtkTed

## Description

The routines in this module are deprecated and are only kept as compatibility with old code that used these.

This used to be a way for an application to leave the layout policies for a dialog until runtime and provide a GUI editor if no layout information was available.

Dialog layout should now be done with Glade and libglade.

## Details

### struct GtkTed

    struct GtkTed;

### gtk_ted_set_app_name ()

    void        gtk_ted_set_app_name            (char *str);

`str` : |

### gtk_ted_prepare ()

    void        gtk_ted_prepare                 (GtkTed *ted);

`ted` : |

### gtk_ted_new ()

    GtkWidget*  gtk_ted_new                     (char *dialog_name);

`dialog_name` : |
Returns : |

### gtk_ted_new_layout ()

    GtkWidget*  gtk_ted_new_layout              (char *dialog_name,
                                                 char *layout);

`dialog_name` : |
`layout` : |
Returns : |

### gtk_ted_add ()

    void        gtk_ted_add                     (GtkTed *ted,
                                                 GtkWidget *widget,
                                                 char *name);

`ted` : |
`widget` : |
`name` : |

## See Also

libglade(3), Glade.

<<< Previous Page | Home | Up | Next Page >>>
GtkClock | GtkDial